package Übungen.MyschachGame;

import java.util.Scanner;

public class SchachGame {
	private Scanner eingabe = new Scanner(System.in);
	private char[][] spielfield;
	private Spieler[] zweiSpieler;
	private char[] schachFiguren =  {'T','S','L','D','k','L','S','T'};
	
	
	SchachGame(int spieler){
		zweiSpieler = new Spieler[2];
		for (int i = 0; i < zweiSpieler.length; i++)
			zweiSpieler[i] = new Spieler("Spieler: " + (i + 1));
		
		spielfield = new char[8][8];
		
		startgame();

	}
	
	
	public void startgame() {
		System.out.println("Willkommen zu meinem SchachSpiel ");
		for (int i = 0; i < zweiSpieler.length; i++)
			System.out.println("> " + zweiSpieler[i].getName() );
		
		fuelleArray();
		printSpielfield();
	}
	
	public void fuelleArray() {
		for (int i = 0; i < spielfield.length; i++) {
			spielfield[0][i] = schachFiguren[i];
			spielfield[spielfield.length - 1][i] = schachFiguren[i];

			spielfield[1][i] = 'B';
			spielfield[spielfield.length - 2][i] = 'B';
		}

		for (int i = 2; i <= 5; i++)
			for (int j = 0; j < spielfield[i].length; j++)
				spielfield[i][j] = '-';

	}
	
	public void printSpielfield() {
		System.out.println();
		System.out.println("    SpielField ");
		System.out.println();
		for (int i = 0; i < spielfield.length; i++) {
			System.out.print(i + 1 + " ");
			for (int j = 0; j < spielfield[i].length; j++) {
				System.out.print("|" + spielfield[i][j]);
				if (j == 7)
					System.out.print("|");
			}

			System.out.println();
		}

		System.out.print("  ");
		for (char a = 'a'; a <= 'h'; a++)
			System.out.print(" " + a);

	}
	
	public void moveFiguren() {
		
		System.out.println("Gebe Position bitte ein: ");
		String position = eingabe.nextLine();
		
		
	}
	
	public void checkPosition(String pos) {
		
	}
	
	
}
